changeset 1506:448e47e2ad46 draft

Multi-build single.sh should exit with an error when build breaks.
author Rob Landley <rob@landley.net>
date Sat, 27 Sep 2014 21:07:00 -0500
parents 3fa0b2931082
children 321e9d5032c1
files scripts/single.sh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/single.sh	Sat Sep 27 21:04:47 2014 -0500
+++ b/scripts/single.sh	Sat Sep 27 21:07:00 2014 -0500
@@ -23,5 +23,5 @@
          -e "s/# \(CONFIG_TOYBOX_FLOAT\) $USET/\1=y/" \
          "$KCONFIG_CONFIG" &&
   make &&
-  mv toybox $PREFIX$i || break
+  mv toybox $PREFIX$i || exit 1
 done